Subject: 29.0.50; defcustom :type 'key-sequence not following key-valid-p format

From: Stefan Kangas <[email-masked]>
Date: Wed, 15 Dec 2021 12:35:03 -0800

Now that we prefer the key-valid-p format, we should think about what to
do about defcustom as well.  We currently have that:

    (defcustom foo "C-a" "" :type 'key-sequence)

Followed by `M-x customize-option RET foo RET' leads to a customize
buffer where this is displayed as "C - a".  IOW, there is only support
for the legacy format "\C-a".

We can't just change this in a backwards incompatible way, but perhaps
we should document it as deprecated and introduce a new format for the
new type?